> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a missing name/names

```http POST theme={"system"}
POST https://api.nameshouts.com/api/v2.0/user/request-name?name=marsindg&language=german
```

This API endpoint allows you to request a missing name/s on our database.

| **Parameters** | **Example** |
| - | - |
| missing-names | avaya-parris |
| language | english |

Please note that language is an optional parameter.

## Authorization

| Bearer Token | |
| - | - |
| Token | `{{token}}` |

## Params

**name** `string`

Example: `marsindg`

**language** `string`

Example: `german`

## Example Request

**Request a missing name/names**

```bash curl theme={"system"}
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/request-name?name=marsindg&language=german'
```

## Example Response

**Body** · **Headers (0)**

No response body

This request doesn't return any response body

```bash cURL theme={"system"}
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/request-name?name=marsindg&language=german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.